debbugs (2.6.3) unstable; urgency=medium

  [ Bill Allombert ]
  * Debbugs/Config.pm: (closes: #1089557)
    - Fix spam_rules_dir default to /etc/spamassassin
    - add $gSpamRulesDir to 'globals' export list.
  * debian/control:
    - debbugs-local: Depends on libipc-run-perl. (closes: #607928)

  [ Mark Hindley ]
  * migrate/debbugs-upgradestatus:
    - fix correct error about missing optionnal fields. (closes: #644242)

  [ Tollef Fog Heen ]
  * Debbugs/Log.pm, ./scripts/expire:
    - Fix spelling of Colin Watson's name in copyright notice
      (closes: #615483)

 -- Bill Allombert <ballombe@debian.org>  Thu, 19 Dec 2024 11:35:39 +0100

debbugs (2.6.2) unstable; urgency=medium

  [ Bill Allombert ]
  * debian/control:
    - debbugs, debbugs-web Suggests:
      + Remove libcgi-alert-perl which does not exist anymore
    - libdebbugs-perl Depends:
      + Replace liblist-moreutils-perl by liblist-allutils-perl
      + Remove duplicate libtext-template-perl
      + Add libtext-iconv-perl
    - debbugs Depends:
      + Add lynx (closes: #698283)
    - Testsuite: autopkgtest-pkg-perl: removed. No chance to pass
      in the current state of the package.
  * debian/docs: update so that README.md is installed

  [ Don Armstrong ]
  * templates/en_US/html/pre_title.tmpl:
    - fix favicon (closes: #912186)

 -- Bill Allombert <ballombe@debian.org>  Tue, 12 Nov 2024 22:28:18 +0100

debbugs (2.6.1) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * Fix filename in install: UPGRADE -> UPGRADE.md (closes: #903413)

  [ Don Armstrong ]
  * Add support for a Done: pseudoheader (closes: #950133)
  * Fix unescaped From (closes: #983847)
  * Support 7 digit bugs in bugspam.cgi
  * Actually return message/rfc822 when there is a single message instead
    of mbox (closes: #1009181)
  * Include non-free-firmware; thanks to Cyril Brulebois for the patch
  * Fix missing escaping of comma in address fields (closes: #1041638)
  * Sort blocked-by (closes: #751808), thanks to Tim Landscheidt.
  * add WSDL contributed by Michael Albinus and Felix Lechner
  * Don't linkify trailing ; in bug messages (closes: #1076323), thanks to
    Blair Noctis.

  [ Chris Lamb ]
  * Don't print strange-looking "Usertags are now: ." message when removing all
    usertags.

  [ Paul Wise ]
  * Add support for setting usertags for multiple users in new bugs
    (closes: #582171)
  * Prevent usertags created at submit time from including invalid trailing
    chars
  * Use a checkbox and CSS to show info messages instead of JavaScript
  * Allow exporting of debbugs responses to mbox format when requested

  [ Bill Allombert ]
  * debian/control:
    - Build-Depends-Indep on libmail-message-perl for running the test-suite
    - Build-Depends on debhelper-compat (= 12)
    - debbugs-local Depends on sensible-utils
    - Update Standards-Version to 4.7.0
    - debbugs: Replace exim4 by default-mta in Depends
  * debian/compat: removed
  * Actually upload the package (closes: #477182, #1079842)
  * cgi/search.cgi, cgi/version.cgi:
    - Do not special-case merkel.debian.org

 -- Bill Allombert <ballombe@debian.org>  Mon, 11 Nov 2024 13:05:09 +0100

debbugs (2.6.0) unstable; urgency=medium

  [ Don Armstrong ]
  * Hack around elinks css bug (closes: #593804)
  * affects now appends packages by default (closes: #656371). Thanks to
    Andreas Beckmann and Julien Cristau.
  * Fix spacing in owner block (closes: #670411)
  * Fix double encoding issues (closes: #672432)
  * Fix encoding in cgi
  * Fix installation of templates (closes: #686928). Thanks to Mike
    Gabriel.
  * Only remove list headers if the message appears to have traversed a
    mailing list to get to us. (closes: #690408)
  * Fix lack of archive support in pkgindex.cgi.
  * Output notice to transcript when there is a malformed command.
    (closes: #691573). Thanks to Jonathan Nieder.
  * Fix failure to forcibly merge/merge when found/fixed is not qualified
    (closes: #670456). Thanks to Jonathan Nieder and Bernhard Schmidt.
  * Add libravatar support.
  * Fix double encoding of attachments (closes: #703300)
  * uri_escape e-mails in libravatar (closes: #728034). Thanks to Fabien
    Givors for pointing this out and providing a patch.
  * Fix title of $gBug (closes: #546383). Thanks to Jakub Wilk.
  * Support CVEs surrounded by parenthesis (closes: #662228). Thanks to
    Ari Pollak.
  * Add reply links to individual bug messages with headers (closes:
    #412815). Thanks to martin krafft, Paul Wise, and Julien Valroff.
  * Fix XSS in version.cgi, thanks to Vlad Constantin (Closes: #762967).
  * Add affects to bugreport.cgi package info header (Closes: #609687).
  * Stop URLs at &quot; too. Thanks to Vincent Lefevre (Closes: #766354).
  * Allow for more complicated selectors in user categories.
  * Support control at submit time. (Closes: #49228).
  * Add the limit command which constrains control@ (Closes: #208130).
  * Depend on libmime-tools-perl instead of libmime-perl. (Closes: #665001).
  * Fix SOAP module hack to work around Date/Time encoding which broke in
    newer versions of SOAP::Lite. (Closes: #785405)
  * Add patch to do singular/plural in error messages from Rafael.
    (Closes: #790716)
  * Fix (and test) setting summary/outlook in Control: messages (Closes:
    #836613).
  * Fix clone removing all other blocks instead of adding them (Closes:
    #820044). Thanks to James Clarke.
  * Use a supported version of debhelper and switch to dh $@ style rules
    (Closes: #800287)
  * debbugs-web now Breaks/Replaces debbugs (<< 2.4.2) (Closes: #717967)
  * Split source file properly (Closes: #858671). Thanks to James McCoy.
  * Prefix 'src:' to all source package names.
  * cdn.libravatar.org no longer sends Content-Type. Switch to verifying
    the content-type using libmagic instead (which we probably should have
    been doing from the beginning anyway). (Closes: #856991)
  * Reply sent messages (-forwarded and -done) are not informational messages.
    (Closes: #864725)
  * Pluralize singular tag and usertag in pseudoheaders (Closes: #861234).
    Thanks to James Clarke
  * Include link to the location of the debbugs source (Closes: #721569).
  * Add envelope_from configuration variable so sites can set a valid return
    path if the sendmail default is wrong. (Closes: #719205)
  * Fix links to merged and blocked bugs. (Closes: #539691)
  * Strip out Mail-Followup-To: (Closes: #798092)
  * Include references from the original message in replies. (Closes: #485697)
    Thanks to Julien Cristau
  * Use pass-through for rewrites of URLs to hide implementation (Closes:
    #871784) Thanks to Ridier 'OdyX' Raboud
  * Use foo <bar@baz.com> instead of bar@baz.com (foo) for From: (Closes:
    #881903). Thanks to Michael Stapelberg.
  * Add rel="canonical" links to bug pages (Closes: #890338). Thanks to Chris
    Lamb.
  * Fix blocks/blockedby of archived bugs (Closes: #892060). Thanks to Laurent Bigonville.
  * Provide informative error message when unarchive fails because the bug is
    not archived. (Closes: #892135). Thanks to Dan Jacobson.
  * Update standards version to 4.1.3; add Testsuite, fix Homepage and git repos
    links, update priority.

  [ Niels Thykier ]
  * quitcgi() now returns 400/500 status codes instead of 200 (Closes: #584922)

  [Thanks to Arnout Engelen: ]
  * Add Homepage (closes: #670555).
  * Fix VCS in control (closes: #670556).
  * Link to blocked bugs (closes: #670568).

  [ Mike Gabriel ]
  * /debian/control:
    + Add ${misc:Depends} to Depends.
  * /examples/apache.conf:
    - Assure in apache.conf example that documentation html pages get loaded
      (closes: #686943).
    - Rewrite rule example: http://<webhost>/<nnn> -> show bug report for
      bug <nnn>.
    - Be more generic, comment out rewrite rule that directly redirects
      http://<debbugs-webhost>/ to http://www.debian.org/Bugs.
    - Extend examples/apache.conf, add directory rules. Esp. allow Indexes to be
      overridden in /var/lib/debbugs/www/db to allow mod_expires apache
      configuration options in .htaccess.
  * Load bugs.css file in documentation html pages.
  * Fix sani function in scripts/errorlib. Generate html entities correctly
    (prepend ampersand, append semicolon).
  * Fix pkgindex.cgi concerning several issues: load proper Perl modules,
    replace usage of src_url and pkg_url by package_links, use
    html_tail from templates, use count_bugs everywhere, load bugs.css,
    fix global variable usage in html header (closes: #686940).
  * Add empty $gBugSubscriptionDomain variable to config file template.
  * Remove mailing list markers of the form [<list-name>] from the subject
    line to avoid duplication (and more) of the bug number when replying to
    bug postings.
  * Update postfix section in Readme.mail (closes: #688109).
  * Provide gStrongList configuration option in config file to make
    a site admin aware of its existence (closes: #688345).
  * Make sure that mails to gSubscriptionDomain and gBugSubscriptionDomain
    are only sent out if the variables in config are defined and
    have a length < 0 (closes: #688344).
  * Use locale independent date format for mail processing and service mail
    generation (closes: #688745).
  * Fix spelling error in /debian/changelog.
  * Fix lintian issue: description-synopsis-starts-with-article.
  * Fix lintian issues: debian-rules-missing-recommended-target build-arch,
    debian-rules-missing-recommended-target build-indep.
  * Switch to debian/source/format: 3.0 (native).
  * Fix lintian issue: debbugs source: duplicate-in-relation-field in
    libdebbugs-perl depends: libtext-template-perl, libtext-template-perl.
  * Fix lintian issues: debbugs source:
    debian-rules-makemaker-prefix-is-deprecated line 44,
    debian-rules-makemaker-prefix-is-deprecated line 56.
  * Fix lintian issues: libdebbugs-perl: spelling-error-in-manpage for:
    + usr/share/man/man3/Debbugs::Recipients.3pm.gz
    + usr/share/man/man3/Debbugs::SOAP.3pm.gz
    + usr/share/man/man3/Debbugs::Status.3pm.gz
  * Raise Standards to 3.9.4 (after fixing several lintian issues).
  * Pass param bug=<NNN> to bugreport.html call in bugreport.cgi.

  [Frank Lichtenheld]
  * Fix broken link in changed forwarded-to address (closes: #782740)
  * Fix package links in reassigned message (closes: #767327)

 -- Don Armstrong <don@debian.org>  Mon, 26 Feb 2018 11:31:48 -0800

debbugs (2.4.2~exp1) experimental; urgency=low

  * Allow (almost) exactly what RFC2822 allows in comments (closes:
    #497144)
  * Fix problem with non-existant /etc/debbugs/config
  * Ditch \r and \n in status fields (closes: #545895)
  * Properly handle source packages when searching by maintainer; use
    package_maintainer instead of the hashes (closes: #556863)
  * Handle \r properly in Debbugs::MIME for PGP signatures
    (closes: #565981). Thanks to Mike Hommey
  * Allow type to be text as well as text/(something not html)
    (closes: #566068). Thanks to Mike Hommey.
  * Fix links to PTS pages for src packages (closes: #566089). Thanks to
    Sandro Tosi.
  * Fix affects for source packages (closes: #563470). Thanks to Charles
    Plessy.
  * Allow tag instead of tags; silently normalize it (closes: #567407).
    Thanks to Martin Krafft.
  * Properly handle Forwarded: at submit@ time (closes: #568020). Thanks
    to Martin Krafft.
  * Fix source package src: urls (closes: #567439). Thanks to Paul Wise.
  * Use package_maintainer to search for packages maintained by a
    maintainer (closes: #556863). Thanks to Yves-Alexis Perez.
  * Linkify CVE reports (closes: #568464). Thanks to Martin Zobel-Helas.
  * Fix noaffects option
  * Allow the default sendmail options to be specified in the config file;
    don't use -obq by default anymore.
  * Add urls to control@ mail footer (Closes: #578822). Thanks to Lars
    Wirzenius
  * Don't RFC1522 escape ", ( and ). (Closes: #588859). Thanks to Glenn
    Morris
  * Various changes to make debbugs-local work better (Closes: #585796) 
    - Add libnet-server-fork-perl to Depends for debbugs-local
    - Sanitize env in -T code

 -- Don Armstrong <don@debian.org>  Thu, 05 Aug 2010 21:54:12 -0700

debbugs (2.4.2~exp0) experimental; urgency=low

  [ Anthony Towns ]
  * Add "package" command to service (control@) to limit the bugs that
    the following commands apply to.

  [ Colin Watson ]
  * Add (slightly) fancy CGI decoding of message/* MIME types.
  * CGI scripts now support multiple maintainers for a single package.
  * Add support for an X-Debbugs-No-Ack: mail header to suppress
    acknowledgements.
  * Document how to deliver mail to debbugs via procmail and SpamAssassin.
  * Implement new .status format that's extensible and easier to read; it
    now lives in .summary rather than .status. Use debbugs-upgradestatus
    to convert existing bug databases.
  * Implement bug ownership, with new 'owner' and 'noowner' commands and
    Owner: pseudo-header (closes: #133453).
  * Install Debian configuration in the binary package's examples
    directory (closes: #222118).
  * New standalone SpamAssassin queue runner, spamscan.
  * Allow # prefix on bug numbers in 'merge' command.
  * Fix some ordering issues in old-style package pages and summaries.
  * Add X-$gProject-PR-Message: headers to all mails sent by service.
  * debbugsconfig creates required directories in $gSpoolDir
    (closes: #222077).
  * Decode RFC1522 mail headers for display in the web interface.
    bugreport.cgi and pkgreport.cgi now output UTF-8.
  * Properly support multiple submitter addresses on a single bug.
  * Add a number of extra htmlsanit() calls to prevent cross-site
    scripting attacks.

  [ Adam Heath ]
  * Rewrite filtering in cgi's common.pl, to make it completely generic.
    Filtering can now work against any field.
  * Rewrite grouping logic in cgi's common.pl, to make it completely
    generic.  There is now no longer 2 nested loops, to do the grouping.
    This makes adding new grouping levels simpler for the future.
  * Add in a Table of Contents to pkgreport.cgi.
  * Display how long until a resolved bug will be archived in
    pkgreport.cgi.
  * Add user-agent detection.  This currently doesn't change anything,
    however.
  * Add options show_list_(head|foot)er.

  [ Don Armstrong ]
  * Don't remove the maintainer address if the message was sent by the
    maintainer and we're submitting to maintonly (closes: #140061)
  * Use uri_escape to escape URI's before sending them back out so the
    name of the file doesn't munge the query string. [#301606 pt. 1]
  * call decode_rfc1522 on the filename returned so that encoded
    filenames get decoded to something "reasonable." (closes: #301606)
  * We now require URI::Escape
  * Added apache.conf to examples, which is a sample apache
    configuration file which implements the rewrite rules that are
    currently used on bugs.debian.org. (closes: #222264)
  * Change spamscan.in to work with SA 3.0; This is an incompatible
    change with SA 2.6, and as such, we now Suggests: spamassassin 
    (>=3.0) (closes: #290501)
  * Update MTA to exim4 (closes: #228597) and add instructions on using
    exim 4 (thanks to Marc Haber) (closes: #248335)
  * Added per bug subscription support to debbugs, which relies on an
    external MLM to actually deal with the requests; currently works with
    eoc and sends messages to bugnum\@$gListDomain. (closes: #34071)
  * Change bugreport.cgi to use Debbugs::Log and greately simplify the
    process of outputing the bug log.
  * All RFC1522 subject lines are decoded, both in the html information
    and the message headers. All messages are converted to UTF-8 whereever
    possible; all bugreport.cgi pages are now completely in UTF-8 to the
    degree possible using Encode.pm (closes: #46848,#238984)
  * Add a convert_to_utf8 function to Debbugs::Mime to make the above
    possible; abstracts functionality that was already present in the
    decode_rfc1522 fucntionality.
  * Individual messages can now be downloaded from each bug report
    (closes: #95373)
  * Uninteresting headers are now hidden by default, can be renabled
    with &trim=no (closes: #188561)
  * Fix postfix instructions in README.mail (thanks to Jeff Teunissen)
    (closes: #134166)
  * Display old severity when changing severity (closes: #196947)
  * All messages that originate from the BTS and either go to .log files
    or out to users are now properly RFC1522 encoded. (closes: #306068)
  * Add links to cloned bugs (closes: #217960) and forwarded records
    that look like urls in the html records output by bugreport.cgi.
  * Things that look like urls in message bodies are now linked
    (closes: #168962)
  * Add Debbugs::Mail module that has two important functions:
    send_mail_message and encode_headers. All mail handling in service.in
    and process.in now uses send_mail_message to send mail messages which
    tries as hard as possible to send a message; if it fails, only
    warnings are returned. This fixes bad addresses causing sendmail to
    exit and destroying the bug log. (closes: #191306)
  * Add rudimentary Test::More modules for testing Debbugs::Mime and
    Debbugs::Mail.
  * Allow X-debbugs-* to be set in pseudo headers. (closes: #179340)
  * Obey X-Debbugs-No-Ack in control@ messages. (closes: #201825)
  * Allow forwarded: and owner to be set at submit@ time.
    (closes:#128320)
  * Fix example rewrite rules to allow for #1234 and foo+bar@baz.com
    (closes: #321925)
  * Output proper charset for attachments (closes: #335813)
  * Use MIME encodings to attach messages in close and done.
    (closes: #136654)
  * Add a forcemerge command to service.in to allow forcibly merging
    bugs which are in the same package. (closes: #286792)
  * Make all packages lowercase to support packages with uppercase
    names, even though that's insane. (closes: #67067)
  * Change acknowledged to close (closes: #61341) and indicate who
    actually closed the bug (closes: #355968, #132274)
  * Fix the documentation of clone to indicate that you need at least
    one newID (closes: #276747)
  * Use create_mime_message to send all of the mails which may contain
    UTF8 material. (closes: #364026)
  * Add links to Closes: text for closed bugs. (closes: #320986)
  * Add X-$gProject-PR-Source: line (closes: #219230)
  * Use the %cats data structure properly in pkgreport.cgi
    (closes: #367514)  
  * Document nnn.*@foobar addresses (closes: #188670)
  * Support cloned bugs in control blocking (closes: #337329)
  * Indicate which bugs are blocked after blocking (closes: #367496)
  * Obey package for usertags (closes: #376528)
  * Add link to subscribe to a bug (closes: #353260)
  * Don't lc owner or forwarded at submit time (closes: #288384)
  * Explain how to close bugs in the ack message (closes: #37605)
  * Make the moreinfo ack more general (closes: #70810)
  * Use RFC compliant dates in headers (closes: #362935)
  * Add SOAP support (closes: #377520) Thanks to Raphael Hertzog.
  * Split forwarded on commas for linking (closes: #367813,#473272)
  * Don't display duplicate bugs (closes: #348116)
  * Display links to archived bugs for all searches (closes: #53710)
  * Link to blocked bugs in the bugreport.cgi output (closes: #326077)
  * Don't ask for more bugs if there is no maintainer (closes: #355190)
  * Stop refering to developers on the index page (closes: #355786)
  * Change control@ stop regex and documentation to match eachother
    (closes: #366093)
  * Make it obvious when commands to control have failed
    (closes: #344184)
  * Fix javascript error in pkgreport.cgi (closes: #346043)
  * When a bug can't be found in control@; indicate to user that it may
    be archived. (closes: #153536)
  * my_url in pkgreport.cgi now returns the complete url (closes: #378566)
  * Document precisely how forwarded works (closes: #228049)
  * Dissallow forwarded being set to a $gEmailDomain address
    (closes: #397486)
  * Fix broken sorting by usertags by forcing numeric (closes: #395027)
  * Add support for hiding useless messages; thanks to Sune Vuorela.
    (closes: #406020)
  * Fix arrayrefs leaking into the myurl function (closes: #397344)
  * List bugs being blocked (closes: #356680)
  * Fix multiple submitters for a single bug in the index
    (closes: #402362)
  * Marking a bug as fixed now overrides a found at that exact version
    (closes: #395865)
  * When searching by source package, include the source package itself
    in the list of packages to search for, even if there is no binary
    package called that. (closes: #414825)
  * Add link from singlemsg page to main page; remove useless links
    (closes: #404806)
  * Support usertagging cloned bugs (closes: #375697)
  * List previous/new title when retitling, and show date of control
    actions (closes: #127354)
  * Add searching by owner (closes: #345407)
  * Accept colon after package in control mails (closes: #319720)
  * Make e-mail addresses case insensitive for searching
    (closes: #89569)
  * pkgindex.cgi limits its output with pagination (closes: #23018)
  * lc submitter address for comparsion in pkgreport.cgi
    (closes: #415628)
  * Add quotes around retitle'd titles (closes: #419202)
  * Don't automatically make categories hidden (closes: #415932)
  * Don't duplicate ordering (closes: #415931)
  * Make file locking portable (closes: #293277)
  * Allow the package pages to be optional (closes: #234362)
  * Fix package link code and link both packages (closes: #419553)
  * Save leading space when we unmime (closes: #416321)
  * Make the version regex correct (closes: #425614)
  * Indicate the selected user (closes: #422934)
  * Use source package for usertags where possible (closes: #415933)
  * Add PR-Package header for control messages (closes: #414023)
  * Fix double leading spaces of format=flowed messages
    (closes: #428056)
  * Don't doubly select users
  * Implement versioning aware archiving support (closes: #339141)
  * Split out packages so that you don't have to install the mail stuff
    unless you want it.
  * Only mail duplicated recipients once (closes: #172635)
  * Indicate date of last activity (closes: #207065)
  * Reorder title (closes: #265267)
  * Reopen bugs when a bug is found with a version greater than any
    fixed version (closes: #365352)
  * Allow ordering bugs by last action (closes: #318898)
  * Add notfixed/notfound commands (closes: #389634)
  * Fix soapy insanity (closes: #422062)
  * Add script to split index.db by severities (closes: #422062)
  * Add bugspam.cgi with confirm string (closes: #348225)
  * Allow selecting both archived and unarchived bugs (closes: #320175)
  * Support intersecting sets of bugs (closes: #164421)
  * Allow selecting the newest N bugs (closes: #84681)
  * Add anchor links to specific messages (closes: #431459)
  * Add missing newline after indicating what the user is (closes: #432466)
  * Handle src/binary packages with the same name (but different src
    packages) correctly. (closes: #435926)
  * Make sendmail binary location configurable, and use flock instead of
    fcntl. (closes: #260791)
  * Make notfound/notfixed log verbiage more clear (closes: #434953)
  * Verify submitter is a valid email according to RFC822
    (closes: #182419)
  * Indicate what message number a message is (closes: #462653,#454248)
  * Fix casing of versions (closes: #441022)
  * Output last-modified in bugreport.cgi (closes: #459709)
  * Fix various html syntax errors in pkgreport.cgi (closes: #462322)
  * Make search case insensitive (closes: #448861, #444416)
  * Add the ability to return source/package mapping
    (closes: #465332,#458822)
  * Deal properly with \r line endings (closes: #467190)
  * Distinguish between reports and followups (closes: #459866)
  * Allow for the archiving of bugs in removed packages
    (closes: #475622, #470146)
  * Add Text::Template based templating system (closes: #36814)
  * Add new uservalue feature to Debbugs::User
  * Don't serialize things as date/time in soap (closes: #484789)
  * Link to packages in bugreport page (closes: #229067)
  * Totally revamp the pkgreport templates (closes: #434504)
  * Add correspondent option to track bug correpondents (closes: #485804)
  * Fix addition of correspondents in gen-indices (closes: #511850)
  * Allow clicking anywhere outside the extra status box to close the
    extra status box (closes: #499990) Thanks to James Vega for the patch.
  * Return 404 when a bug number that does not exist is used
    (closes: #499997)
  * Comment out CGI::Alert use for the time being (closes: #499681)
  * No longer hard-code paths in age-1 (closes: #499682)
  * Change how maybelink links links (closes: #501757)
  * Use bug_subscription_domain in process (closes: #499680)
  * Clean up links when there is no information about a package
    (closes: #452905)
  * Deal properly with leading spaces in query arguments (closes: #158375)
  * Only send out control help when control is mailed (closes: #499941)
  * Resolve two XSS (closes: #504608)
  * Strip BOM before regexes involving spaces (closes: #488554)
  * Display link to full log again (closes: #507506)
  * Add Last-Modified: header support to mbox download (closes: #456786)
  * Add Date headers if missing (closes: #458757)
  * Indicate what machine has built webpages (closes: #507022)
  * Indicate the update location of source (closes: #512306)
  * Use get_addresses to parse X-Debbugs-Cc: to allow multiple Cc:'s
    (closes: #514183)
  * Calculate last modified using summary as well as log (closes: #515063)
  * Ditch 'as before' (closes: #514677)
  * Don't have reply/subscribe links for archived bugs (closes: #511864)
  * Fix issue with no-maintainer bugs assigned to multiple packages
    (closes: #528249)
  * Properly html_escape un-processed parts in maybelink (closes: #530506)
  * Add urls to the bottom of all messages we send out (closes: #9596)
  * Allow for tag nnn = baz + foo - bar in service (closes: #505189)
  * Allow trailinng periods after the control stop commands (closes:
    #517834)
  * Ditch extra blank lines (closes: #494843)
  * Handle &#39; ending links in Debbugs::CGI::Bugreport (closes: #539020)
  * Forcibly wrap format flowed and other messages (closes: #601242)
  * Add a link to ack_thanks in process (Closes: #863274)

  
 -- Don Armstrong <don@debian.org>  Sun, 26 Jul 2009 05:48:16 -0700

debbugs (2.4.1) unstable; urgency=low

  * Colin Watson:
    - Exit the CGI scripts straight away if the HTTP method is HEAD, to save
      pointless work.
    - Display pending+fixed bugs as "fixed in NMU", not "pending upload".
    - Add a man page for debbugsconfig.
    - Report original tags when changing them, closes: #170630.
    - Add missing <ul></ul> tags to db2html's output, closes: #50746.
    - Add a 'submitter' command to service, based on a patch by Matt Kraai.
    - Remove the final use of cgi-lib.pl, so it's gone. Remove copyright
      notices that were there due to using it.
    - Accept ';' as well as '&' as a CGI argument separator.
    - db2html now works with the new hashed database layout.
    - Disable the fixed severity in favour of the tag.
    - MIME-encoded messages to bugs are displayed in decoded form on the web
      interface (unless the "mime=no" parameter is used), closes: #136114.
    - Add facility to search by tag.
    - Fix rebuild script and add it to the example crontab, closes: #139696.
    - Silence postinst warning if spool/db doesn't exist, closes: #194892.
    - Clean up the definition and use of $gCGIDomain, closes: #139697.
  * Adam Heath:
    - Convert all code to use global read/write functions, instead of having
      it duplicated everywhere.
    - Trim trailing whitespace from pseudoheader values.  Closes: #153590.
    - Warn when reassigning to an unknown package.  Closes: #60595.
  * Josip Rodin:
    - Added a terse=yes mode for bugreport.cgi, possibly useful for
      monstrously long bugs.
    - Purged needless date(1) forks, replaced with strftime.

 -- Colin Watson <cjwatson@debian.org>  Fri,  6 Jun 2003 09:25:30 +0100

debbugs (2.4) experimental; urgency=low

  * Updating the package with what's in CVS, even though this might
    completely break things for people who've been using the previous also
    broken package. <shrug> :) Upped the minor version since the changes
    are noticeable, and uploaded to experimental, just in case.
  * Applied speedup patch, that uses references, instead of copies.
    Thanks to Thomas Smith. Closes: #87176. [Adam]
  * Reverted some parts of the speedup patch because it breaks the API.
    [Anthony]
  * Bugs that are tagged fixed are now listed in a separate section in the
    web pages. Patch from Colin Watson. Closes: #86922. [Adam]
  * Added support for an additional Maintainers.override file, which is read
    after the normal one. This allows the normal one to be externally
    updated, but still have local overrides. [Adam]
  * Put <title> and </title> on the same line as the title since some lame
    browsers don't seem to like it otherwise. [Josip]
  * Include a mailto: URI in the header for a bug report. [Adam]
  * Added support for filtering on subject with include=subj:foo (exact
    match, case sensitive). [Anthony]
  * Added a missing http://, thanks to Julian Gilbey. [Anthony]
  * Use by-*.idx indices to speed up pkgreport.cgi. [Anthony]
  * Support "maint=" in pkgreport to give packages without a maintainer.
    [Anthony]
  * Updated Postfix documentation. [Darren]
  * Use two variables in order to reduce the amount of path hard-coding.
  * Added support for storing the files in a hashed directory (db-h), with
    the same hash layout as archive/. [Adam]
  * Added support for tracing of bug state changes. This date is in
    $gSpoolDir/debbugs.trace. It is locked (as debbugs.trace.lock) while
    accessed, and appended to. Currently, nothing uses this trace file and
    it isn't even cleaned up, which can be easily fixed with a simple cron
    job. [Adam]
  * Tell sendmail to queue outgoing mail for later delivery, instead of
    immediate delivery. [Adam]
  * Added a keywords header to outgoing email responses. [Adam]
  * Use Resent-From: if From: doesn't exist. [Adam]
  * Added appropriate Reply-To: lines for the ACK messages that could use
    them. [Josip]
  * Add $gUnknownMaintainerEmail to the list of maintainers to mail in case
    an package with no maintainer is referenced. [Adam]
  * processall locks 'incoming-cleaner' before starting, so we don't have
    multiple copies of it running at the same time. [Adam]
  * Sort bugs tagged 'pending' as 'pending upload', between 'forwarded' and
    'fixed'. [Adam]
  * Add support for searching by source package.  pkgreport.cgi takes src=,
    and both pkgreport.cgi and bugreport.cgi have enhanced HTML headers now.
    [Adam]
  * Add support in the CGIs for:
    * 'raw' sorting. This does no grouping based on status or severity, and
      just lists bugs in number order.
    * reversing the order that bugs are displayed. This does not affect
      severity or status ordering.
    * inclusions/exclusions of status and severity. Also, support reverse
      sorting of the above.
  * Make it possible to ban people from control@bugs. [Anthony]
  * Don't lie about missing Subject:s being an RFC822 violation, because
    they aren't. [Anthony, Josip]
  * Added preliminary support for ###-request. [Adam]
  * Added preliminary fast indexing support. [Adam/Anthony (?)]
  * Added preliminary support for CC:ing <src>@packages.qa.debian.org.
    [Anthony]
  * Added preliminary cloning support. [Anthony]
  * Link to submitter's web page, patch from Matt Kraai. [Josip]
  * The autoconfig thing in the description is gone, closes: #124537.
  * Fix viewing archived bugs by source package, closes: #121082, #146484.
    [Colin]
  * Depends: libmailtools-perl rather than mailtools, closes: #113028.
  * Add MIME support to process and service, and depend on libmime-perl as a
    result, closes: #36813. [Colin]
  * Trim Bug#12345: from the Subject:, not "Bug#12345: [", closes: #78123.
    [Anthony]
  * Be more careful about loop detection, closes: #113514. [Adam, Colin]
  * Relax the syntax for 'tags' slightly, since people seem to use it that
    way accidentally a lot, closes: #96164. [Colin]
  * Give better feedback from pkgreport.cgi when querying a non-existent
    package name, closes: #93433. [Colin]
  * Remove support for -fixed address from receive, since nothing else
    supports it. [Colin]
  * Prevent people from reading the first line of arbitrary files through
    bugreport.cgi, thanks to Max <rusmir@tula.net>. [Colin]
  * Add working-for-me instructions for exim setup on non-dedicated sites,
    together with Chad Miller's suggestions, closes: #78688. [Colin]
  * Fix a few typos, closes: #146745, #152751.
  * Update the copyright file with the current list of maintainers and a
    pointer to ViewCVS.
  * Remove lynx-cfg, and use 'lynx -cfg=/dev/null' instead. [Colin]
  * Various other things, not worth mentioning here.

 -- Colin Watson <cjwatson@debian.org>  Sun, 17 Nov 2002 17:54:49 +0000

debbugs (2.3-4) unstable; urgency=low

  * Added a check for unwanted characters in the part of request passed on
    to sendlynxdoc that gets passed to shell. [Josip]
  * Applied Rob Browning's patches to remove more Debian-only stuff,
    closes: #80077. [Josip]
  * Fixed the nextnumber misplacement (it should be in spool dir, not config
    dir), and added a note about running debbugsconfig after changes to
    config file, thanks to Rob for the hints. [Josip]
  * Changed Maintainer: to point to debian-debbugs. Added myself to
    Uploaders:. [Josip]
  * Fixed Lintian errors: file-in-etc-not-marked-as-conffile (except
    for lynx-cfg which is a gross hack anyway),
    virtual-package-depends-without-real-package-depends,
    debian-changelog-file-contains-user-emacs-settings.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Thu,  7 Feb 2002 17:30:17 +0100

debbugs (2.3-3) unstable; urgency=low

  * Fixed examples installation, debbugsconfig should actually work now,
    closes: #77126. [Josip]
  * Removed all traces of the package after purging, in postrm. [Josip]
  * Added pkgindex.cgi, package/maintainer/submitter indices. [Anthony]
  * Moved readparse to common.pl, since it's, well, common to all the cgi
    stuff. Other fixes in common.pl. [Anthony]
  * Moved some of the pkgreport.cgi logic from common.pl into pkgreport.cgi.
    [Anthony]
  * Random typo fixes in the CGIs. [Anthony]
  * Made the CGI scripts use the common.pl from their directory and not
    /usr/lib/debbugs nor ~ajt/newajbug. That stuff should actually _work_
    now, argh. [Josip]
  * Added bug subject and package name in closing messages. [Josip]
  * Fixed errorlib filename (removed the .in part), this stuff should
    actually _work_ now, argh. I shouldn't be repeating myself. [Josip]
  * Escape +'s in URLs, closes: #75220. [Anthony]
  * Skip checking for new installs or the config file, debbugsconfig needs
    to regenerate the HTML, and it will detect existing conffiles. [Josip]

 -- Josip Rodin <jrodin@jagor.srce.hr>  Fri,  1 Dec 2000 15:01:40 +0100

debbugs (2.3-2) unstable; urgency=low

  * Tweaks to the [pkg|bug]report.cgi scripts
  * Merged README and README.Debian (not quite yet)
  * Sundry of patchs from netgod.. see list archives for details :)
     + a bug report that's already been closed, it seems, #36147
     + the send|get command will accept two digits, closes: #39063
     + fixed reference to Debian in the copyright, closes: #39540
  * Provided a CNAME in control@ as well as submit@ for severity
  * mailsummary mails $gSummaryList@$gListDomain now, closes: #36181.
  * Ray's fixes are now included, one way or another, closes: #37210.
    A bug's severity is set to default one before trying to merge it,
    which fixes #47026 filed against bugs.debian.org, and closes: #50106.
  * The ACKs now clearly says which addresses should be mailed,
    closes: #48610.
  * Fixed how /usr/lib/debbugs is prepended to $PATH, closes: #63216.
  * The $gHTMLSeverityDesc variable is now properly terminated,
    closes: #67702.
  * Policy 3.2.1 compliance, includes Build-Depends: debhelper, which
    closes: #70356.
  * Doesn't install the Maintainers and pseudo-packages.description files
    in the /etc/debbugs directory, it instead copies it from templates if
    they don't exist, closes: #70749, #37120.
  * A `priority' command now handles severities, closes: #45818.
  * Fixes and additions to scripts by Adam Heath.
  * Fixes and several new features in the CGI scripts by Anthony Towns.
  * Small fixes and updates to scripts, build system and docs by Josip Rodin.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Wed,  8 Nov 2000 19:12:01 +0100

debbugs (2.3-1) unstable; urgency=low

  * Fixed the send message bug that resulted in the same words (subject)
    being printed out over and over and over again
  * Added CGI scripts to make retrieval of individual bug reports realtime
  * Created upgrade notes from 2.2 to 2.3
  * Added a variable for where the "mailsummary" reports go
  * Added optional bug archiving for expired bugs
  * Added "fixed" to the default severities
  * Some scripts are now perl -w clean.
  * Added "severity display" to "Summary of outstanding reports" 
    (db/ix/summary.html and db/ix/psummary.html)
  * Added a variable to allow for a uniformed <BODY> and starting text tag
  * Send both message that closes and original bug to bug submitter
  * Fixed X-Debbugs-CC header
  * Improved ability to skip pgp signed and mime encoded messages when
    looking for commands (control@ and request@) and pseudo headers
    (submit@)
  * Cosmetic changes...

 -- Darren Benham <gecko@debian.org>  Tue, 27 Jul 1999 11:27:22 -0700

debbugs (2.2-3) unstable; urgency=low

  * Perl Depends change

 -- Darren Benham <gecko@debian.org>  Tue, 27 Jul 1999 11:27:22 -0700

debbugs (2.2-2) unstable; urgency=low

  * Added mailtools to dependency

 -- Darren Benham <gecko@debian.org>  Thu, 13 May 1999 13:13:15 -0700

debbugs (2.2-1) unstable; urgency=low

  * NATIVE Qmail (mailer) support!  No more "other MTA" needed
  	for Qmail users!
  * Improved sendmail support.
  * Changed lynx dependancies to simply "lynx"
  * fixed bad spelling in service script (fixes #36205)

 -- Darren Benham <gecko@debian.org>  Thu,  8 Apr 1999 16:00:32 -0700

debbugs (2.1-1) unstable; urgency=low

  * Added variable in "bad email" message (receive)
  * Fixed SUBSTITUTE_DTIME in main html pages
  * Changed crontab sample (had bad directories)
  * Added some documentation for MTA setup
  * Added support for sendmail
  * Removed use of btoa to move change around.  It's non-free.

 -- Darren Benham <gecko@debian.org>  Thu,  1 Apr 1999 14:17:01 -0800

debbugs (2.0-1) unstable; urgency=low

  * First public release of deb
  * Config modification implemented

 -- Darren Benham <gecko@debian.org>  Sat, 27 Mar 1999 10:37:37 -0800

debbugs (1.0-4) unstable; urgency=low

  * Tried a stopgap measure for config files

 -- Darren Benham <gecko@debian.org>  Mon, 15 Feb 1999 22:11:08 -0800

debbugs (1.0-3) unstable; urgency=low

  * $gListDomain yet again
  * removed nextnumber, config and text from deb for time bing

 -- Darren Benham <gecko@debian.org>  Wed, 10 Feb 1999 11:09:47 -0800

debbugs (1.0-2) unstable; urgency=low

  * internal release
  * fixed scripting bugs in list email

 -- Darren Benham <gecko@debian.org>  Wed, 10 Feb 1999 10:39:18 -0800

debbugs (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Darren Benham <gecko@debian.org>  Thu, 21 Jan 1999 20:55:51 -0800
